Bug 29878 - NullPointerException when using the Xerces version that ships with JSTL 1.0.5
Summary: NullPointerException when using the Xerces version that ships with JSTL 1.0.5
Status: RESOLVED WONTFIX
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: 1.0.5
Hardware: HP HP-UX
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-01 21:20 UTC by Daniel C. Amadei
Modified: 2007-10-25 22:33 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel C. Amadei 2004-07-01 21:20:14 UTC
When using the Xerces (2.3.0) version that ships with JSTL 1.0.5 with JDK 
1.3.1.07 I'm getting the error bellow:

java.lang.reflect.InvocationTargetException: java.lang.NoSuchMethodError
	at 
org.apache.xml.serialize.IndentPrinter.breakLineIndentPrinter.java:281). 

when trying to serialize a XML Document. I know this bug is related more to 
Xerces than to JSTL but I think the version of Xerces that ships with JSTL 
could be changed or a recompilation of it could be done.

Please refer to bug 17027 that shows a possible "workaround".

Daniel
Comment 1 Henri Yandell 2006-12-06 16:58:19 UTC
1.1.x doesn't depend on Xerces, and I don't think we'll be seeing another 1.0.x
release anytime soon.

Leaving open as an FYI until a FAQ is written.
Comment 2 Bjorn Townsend 2007-10-10 16:24:09 UTC
Added a FAQ for this issue over at the JSTL wiki.
Comment 3 Henri Yandell 2007-10-25 22:33:10 UTC
Bjorn's FAQ is currently at:

http://wiki.apache.org/jakarta-taglibs/FrequentlyAskedQuestions#head-939511c352fc8ae3fbcb331e8a8fdb317c08999b

Resolving this as WONTFIX because I don't see us fixing this.